# FileStat class

A FileStat object represents the result of calling the POSIX stat() function on a file system object. It is an immutable object, representing the snapshotted values returned by the stat() call.

## Properties

accessed → DateTime
  The time of the last access to the data of the file system object. [...]
  final
changed → DateTime
  The time of the last change to the data or metadata of the file system object. [...]
  final
mode → int
  The mode of the file system object. [...]
  final
modified → DateTime
  The time of the last change to the data of the file system object.
  final
size → int
  The size of the file system object.
  final
type → FileSystemEntityType
  The type of the object (file, directory, or link). [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

modeString() → String
  Returns the mode value as a human-readable string. [...]
toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

stat(String path) → Future<FileStat>
  Asynchronously calls the operating system's stat() function on `path`. [...]
statSync(String path) → FileStat
  Calls the operating system's stat() function on `path`. [...]